Loading...
Searching...
No Matches
is_dia_t< Size, Pair >

## Detailed Description

template<class Size, class Pair>
struct rheolef::is_dia_t< Size, Pair >

Definition at line 99 of file asr_to_csr_dist_logical.h.

Inheritance diagram for is_dia_t< Size, Pair >:

## Public Member Functions

bool | operator() (const Pair &x) const
| is_dia_t (Size k1, Size k2)

## Public Attributes

Size | j1
Size | j2

## Constructor & Destructor Documentation

## is_dia_t()

template<class Size , class Pair >

is_dia_t | ( | Size | k1,
|  | Size | k2
| ) |  |

Definition at line 102 of file asr_to_csr_dist_logical.h.

## Member Function Documentation

## operator()()

template<class Size , class Pair >

bool operator() | ( | const Pair & | x | ) | const

Definition at line 100 of file asr_to_csr_dist_logical.h.

## Member Data Documentation

## j1

template<class Size , class Pair >

Size j1

Definition at line 103 of file asr_to_csr_dist_logical.h.

## j2

template<class Size , class Pair >

Size j2

Definition at line 103 of file asr_to_csr_dist_logical.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/linalg/lib/asr_to_csr_dist_logical.h